Definition


New Search

Adobe Flash Player and AIR JPEG File Parsing Heap Buffer Overflow Vulnerability

oval:org.mitre.oval:def:15948

Heap-based buffer overflow in Adobe Flash Player before 10.0.42.34 and Adobe AIR before 1.5.3 allows remote attackers to execute arbitrary code via crafted dimensions of JPEG data in an SWF file.

Family:
macos
Status:
ACCEPTED
Platform(s):
  • Apple Mac OS X
Class:
vulnerability
Reference(s):
  • CVE-2009-3794
Product(s):
  • Adobe AIR
  • Adobe Flash Player